ChecksummedSequentialWriter (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.io.util

## Class ChecksummedSequentialWriter

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.cassandra.io.util.SequentialWriter
    - - org.apache.cassandra.io.util.ChecksummedSequentialWriter

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable, java.nio.channels.Channel, java.nio.channels.WritableByteChannel

      public class ChecksummedSequentialWriter
      extends SequentialWriter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.io.util.SequentialWriter

      `SequentialWriter.BufferedFileWriterMark`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.io.util.SequentialWriter

      `buffer, bufferOffset, current, isDirty, lastFlushOffset, out, stream, syncNeeded, validBufferBytes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChecksummedSequentialWriter(java.io.File file, int bufferSize, java.io.File crcPath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected void` | `flushData()` Override this method instead of overriding flush()
    `void` | `writeFullChecksum(Descriptor descriptor)`

    - ### Methods inherited from class org.apache.cassandra.io.util.SequentialWriter

      `flush, flushInternal, getFilePointer, getLastFlushOffset, getOnDiskFilePointer, getPath, isOpen, length, mark, open, open, open, open, reBuffer, resetAndTruncate, resetBuffer, sync, syncDataOnlyInternal, syncInternal, truncate, write, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChecksummedSequentialWriter

          public ChecksummedSequentialWriter(java.io.File file,
                                     int bufferSize,
                                     java.io.File crcPath)

  - ### Method Detail

    - #### flushData

          protected void flushData()

      Description copied from class: `SequentialWriter`
      Override this method instead of overriding flush()
      Overrides:
        `flushData` in class `SequentialWriter`

    - #### writeFullChecksum

          public void writeFullChecksum(Descriptor descriptor)

      Overrides:
        `writeFullChecksum` in class `SequentialWriter`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.nio.channels.Channel`
      Overrides:
        `close` in class `SequentialWriter`

Copyright © 2014 The Apache Software Foundation